#!/bin/bash
cd source
# 需安装pandoc
files=("ContractAPI" "IDEUsage" "InstallTips" "Introduction" "YJSAPI" "YJSInDepth")
path_prefix=""
path_suffix=".rst"
titles=("BDContract SDK" "BDContract管理界面" "BDContract安装说明" "BDContract简介" "YJS语法" "YJS SDK")
target_path_prefix="../build/word/"
target_path_suffix=".docx"

rm -rf $target_path_prefix
mkdir $target_path_prefix

for(( i=0;i<${#files[@]};i++)) do
    target_path="$target_path_prefix${titles[$i]}$target_path_suffix"
    source_path="$path_prefix${files[$i]}$path_suffix"
    pandoc --highlight-style=espresso -o $target_path -f rst -t docx $source_path
done

# 模板 espresso/breezedark
#pygments
#tango
#espresso
#zenburn
#kate
#monochrome
#breezedark
#haddock
